Loading...
Searching...
No Matches
casacore::MSFeedColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSFeedColumns.h>`

## Public Member Functions

| MSFeedColumns (const MSFeed &msFeed)
| Create a columns object that accesses the data in the specified Table.
| ~MSFeedColumns ()
| The desctructor does nothing special.
ScalarColumn< Int > & | antennaId ()
| Access to required columns.
ScalarColumn< Int > & | beamId ()
ArrayColumn< Double > & | beamOffset ()
ArrayQuantColumn< Double > & | beamOffsetQuant ()
ArrayMeasColumn< MDirection > & | beamOffsetMeas ()
ScalarColumn< Int > & | feedId ()
ScalarColumn< Double > & | interval ()
ScalarQuantColumn< Double > & | intervalQuant ()
ScalarColumn< Int > & | numReceptors ()
ArrayColumn< Complex > & | polResponse ()
ArrayColumn< String > & | polarizationType ()
ArrayColumn< Double > & | position ()
ArrayQuantColumn< Double > & | positionQuant ()
ScalarMeasColumn< MPosition > & | positionMeas ()
ArrayColumn< Double > & | receptorAngle ()
ArrayQuantColumn< Double > & | receptorAngleQuant ()
ScalarColumn< Int > & | spectralWindowId ()
ScalarColumn< Double > & | time ()
ScalarQuantColumn< Double > & | timeQuant ()
ScalarMeasColumn< MEpoch > & | timeMeas ()
const ScalarColumn< Int > & | antennaId () const
| Const access to required columns.
const ScalarColumn< Int > & | beamId () const
const ArrayColumn< Double > & | beamOffset () const
const ArrayQuantColumn< Double > & | beamOffsetQuant () const
const ArrayMeasColumn< MDirection > & | beamOffsetMeas () const
const ScalarColumn< Int > & | feedId () const
const ScalarColumn< Double > & | interval () const
const ScalarQuantColumn< Double > & | intervalQuant () const
const ScalarColumn< Int > & | numReceptors () const
const ArrayColumn< Complex > & | polResponse () const
const ArrayColumn< String > & | polarizationType () const
const ArrayColumn< Double > & | position () const
const ArrayQuantColumn< Double > & | positionQuant () const
const ScalarMeasColumn< MPosition > & | positionMeas () const
const ArrayColumn< Double > & | receptorAngle () const
const ArrayQuantColumn< Double > & | receptorAngleQuant () const
const ScalarColumn< Int > & | spectralWindowId () const
const ScalarColumn< Double > & | time () const
const ScalarQuantColumn< Double > & | timeQuant () const
const ScalarMeasColumn< MEpoch > & | timeMeas () const
ScalarColumn< Double > & | focusLength ()
| Access to optional columns.
ScalarQuantColumn< Double > & | focusLengthQuant ()
ScalarColumn< Int > & | phasedFeedId ()
const ScalarColumn< Double > & | focusLength () const
| Const access to optional columns.
const ScalarQuantColumn< Double > & | focusLengthQuant () const
const ScalarColumn< Int > & | phasedFeedId () const
void | setEpochRef (MEpoch::Types ref, Bool tableMustBeEmpty=True)
| set the epoch type for the TIME column.
void | setDirectionRef (MDirection::Types ref)
| set the direction type for the BEAM_OFFSET column.
void | setPositionRef (MPosition::Types ref)
| set the position type for the POSITION column.
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.

Int64

matchFeed (Quantum< Double > &newTimeQ, Quantum< Double > &newIntervalQ, Int antId, Int feedId, Int spwId, const Quantum< Double > &timeQ, const Quantum< Double > &intervalQ, Int numReceptor, const Array< Quantum< Double > > &beamOffsetQ, const Array< String > &polType, const Array< Complex > &polResp, const Array< Quantum< Double > > &positionQ, const Array< Quantum< Double > > &receptorAngleQ, const RowNumbers &ignoreRows, const Quantum< Double > &focusLengthQ=Quantum< Double >())

| Returns the last row that contains a feed with the specified values.

## Protected Member Functions

| MSFeedColumns ()
void | attach (const MSFeed &msFeed)

## Private Member Functions

| MSFeedColumns (const MSFeedColumns &)
MSFeedColumns & | operator= (const MSFeedColumns &)
void | attachOptionalCols (const MSFeed &msFeed)

## Private Attributes

ScalarColumn< Int > | antennaId_p
ScalarColumn< Int > | beamId_p
ArrayColumn< Double > | beamOffset_p
ScalarColumn< Int > | feedId_p
ScalarColumn< Double > | interval_p
ScalarColumn< Int > | numReceptors_p
ArrayColumn< Complex > | polResponse_p
ArrayColumn< String > | polarizationType_p
ArrayColumn< Double > | position_p
ArrayColumn< Double > | receptorAngle_p
ScalarColumn< Int > | spectralWindowId_p
ScalarColumn< Double > | time_p
ScalarColumn< Double > | focusLength_p
ScalarColumn< Int > | phasedFeedId_p
ArrayMeasColumn< MDirection > | beamOffsetMeas_p
ScalarMeasColumn< MPosition > | positionMeas_p
ScalarMeasColumn< MEpoch > | timeMeas_p
ArrayQuantColumn< Double > | beamOffsetQuant_p
ScalarQuantColumn< Double > | intervalQuant_p
ArrayQuantColumn< Double > | positionQuant_p
ArrayQuantColumn< Double > | receptorAngleQuant_p
ScalarQuantColumn< Double > | timeQuant_p
ScalarQuantColumn< Double > | focusLengthQuant_p

## Detailed Description

A class to provide easy access to MSFeed columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSFeed
- ArrayColumn
- ScalarColumn

### Etymology

MSFeedColumns stands for MeasurementSet Feed Table columns.

### Synopsis

This class provides access to the columns in the MSFeed Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 82 of file MSFeedColumns.h.

## Constructor & Destructor Documentation

## MSFeedColumns() [1/3]

casacore::MSFeedColumns::MSFeedColumns | ( | const MSFeed & | msFeed | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSFeedColumns(), and operator=().

## ~MSFeedColumns()

casacore::MSFeedColumns::~MSFeedColumns | ( |  | ) |

The desctructor does nothing special.

## MSFeedColumns() [2/3]

casacore::MSFeedColumns::MSFeedColumns | ( |  | ) |

protected

## MSFeedColumns() [3/3]

casacore::MSFeedColumns::MSFeedColumns | ( | const MSFeedColumns & |  | ) |

private

References MSFeedColumns().

## Member Function Documentation

## antennaId() [1/2]

ScalarColumn< Int > & casacore::MSFeedColumns::antennaId | ( |  | ) |

inline

Access to required columns.

Definition at line 93 of file MSFeedColumns.h.

References antennaId_p.

## antennaId() [2/2]

const ScalarColumn< Int > & casacore::MSFeedColumns::antennaId | ( |  | ) | const

inline

Const access to required columns.

Definition at line 120 of file MSFeedColumns.h.

References antennaId_p.

## attach()

void casacore::MSFeedColumns::attach | ( | const MSFeed & | msFeed | ) |

protected

## attachOptionalCols()

void casacore::MSFeedColumns::attachOptionalCols | ( | const MSFeed & | msFeed | ) |

private

## beamId() [1/2]

ScalarColumn< Int > & casacore::MSFeedColumns::beamId | ( |  | ) |

inline

Definition at line 94 of file MSFeedColumns.h.

References beamId_p.

## beamId() [2/2]

const ScalarColumn< Int > & casacore::MSFeedColumns::beamId | ( |  | ) | const

inline

Definition at line 121 of file MSFeedColumns.h.

References beamId_p.

## beamOffset() [1/2]

ArrayColumn< Double > & casacore::MSFeedColumns::beamOffset | ( |  | ) |

inline

Definition at line 95 of file MSFeedColumns.h.

References beamOffset_p.

## beamOffset() [2/2]

const ArrayColumn< Double > & casacore::MSFeedColumns::beamOffset | ( |  | ) | const

inline

Definition at line 122 of file MSFeedColumns.h.

References beamOffset_p.

## beamOffsetMeas() [1/2]

ArrayMeasColumn< MDirection > & casacore::MSFeedColumns::beamOffsetMeas | ( |  | ) |

inline

Definition at line 97 of file MSFeedColumns.h.

References beamOffsetMeas_p.

## beamOffsetMeas() [2/2]

const ArrayMeasColumn< MDirection > & casacore::MSFeedColumns::beamOffsetMeas | ( |  | ) | const

inline

Definition at line 124 of file MSFeedColumns.h.

References beamOffsetMeas_p.

## beamOffsetQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSFeedColumns::beamOffsetQuant | ( |  | ) |

inline

Definition at line 96 of file MSFeedColumns.h.

References beamOffsetQuant_p.

## beamOffsetQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSFeedColumns::beamOffsetQuant | ( |  | ) | const

inline

Definition at line 123 of file MSFeedColumns.h.

References beamOffsetQuant_p.

## feedId() [1/2]

ScalarColumn< Int > & casacore::MSFeedColumns::feedId | ( |  | ) |

inline

Definition at line 99 of file MSFeedColumns.h.

References feedId_p.

Referenced by matchFeed().

## feedId() [2/2]

const ScalarColumn< Int > & casacore::MSFeedColumns::feedId | ( |  | ) | const

inline

Definition at line 126 of file MSFeedColumns.h.

References feedId_p.

## focusLength() [1/2]

ScalarColumn< Double > & casacore::MSFeedColumns::focusLength | ( |  | ) |

inline

Access to optional columns.

Definition at line 147 of file MSFeedColumns.h.

References focusLength_p.

## focusLength() [2/2]

const ScalarColumn< Double > & casacore::MSFeedColumns::focusLength | ( |  | ) | const

inline

Const access to optional columns.

Definition at line 154 of file MSFeedColumns.h.

References focusLength_p.

## focusLengthQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSFeedColumns::focusLengthQuant | ( |  | ) |

inline

Definition at line 148 of file MSFeedColumns.h.

References focusLengthQuant_p.

## focusLengthQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSFeedColumns::focusLengthQuant | ( |  | ) | const

inline

Definition at line 155 of file MSFeedColumns.h.

References focusLengthQuant_p.

## interval() [1/2]

ScalarColumn< Double > & casacore::MSFeedColumns::interval | ( |  | ) |

inline

Definition at line 100 of file MSFeedColumns.h.

References interval_p.

## interval() [2/2]

const ScalarColumn< Double > & casacore::MSFeedColumns::interval | ( |  | ) | const

inline

Definition at line 127 of file MSFeedColumns.h.

References interval_p.

## intervalQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSFeedColumns::intervalQuant | ( |  | ) |

inline

Definition at line 101 of file MSFeedColumns.h.

References intervalQuant_p.

## intervalQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSFeedColumns::intervalQuant | ( |  | ) | const

inline

Definition at line 128 of file MSFeedColumns.h.

References intervalQuant_p.

## matchFeed()

Int64 casacore::MSFeedColumns::matchFeed | ( | Quantum< Double > & | newTimeQ,
|  | Quantum< Double > & | newIntervalQ,
|  | Int | antId,
|  | Int | feedId,
|  | Int | spwId,
|  | const Quantum< Double > & | timeQ,
|  | const Quantum< Double > & | intervalQ,
|  | Int | numReceptor,
|  | const Array< Quantum< Double > > & | beamOffsetQ,
|  | const Array< String > & | polType,
|  | const Array< Complex > & | polResp,
|  | const Array< Quantum< Double > > & | positionQ,
|  | const Array< Quantum< Double > > & | receptorAngleQ,
|  | const RowNumbers & | ignoreRows,
|  | const Quantum< Double > & | focusLengthQ = Quantum< Double >() )

Returns the last row that contains a feed with the specified values.

If no matching row can be found, but a match is possible if the validity time interval is widened, return that row and the suggestion for the new time information. If no change to time is necessary, newTimeQ and newIntervalQ are zero. Returns -1 if no match could be found. Ignore the Feed table rows contained in vector ignoreRows. focusLengthQ is only compared if this optional column is present and if the value of focusLengthQ is not dimensionless.

References feedId().

## nrow()

rownr_t casacore::MSFeedColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Definition at line 181 of file MSFeedColumns.h.

References antennaId_p.

## numReceptors() [1/2]

ScalarColumn< Int > & casacore::MSFeedColumns::numReceptors | ( |  | ) |

inline

Definition at line 102 of file MSFeedColumns.h.

References numReceptors_p.

## numReceptors() [2/2]

const ScalarColumn< Int > & casacore::MSFeedColumns::numReceptors | ( |  | ) | const

inline

Definition at line 129 of file MSFeedColumns.h.

References numReceptors_p.

## operator=()

MSFeedColumns & casacore::MSFeedColumns::operator= | ( | const MSFeedColumns & |  | ) |

private

References MSFeedColumns().

## phasedFeedId() [1/2]

ScalarColumn< Int > & casacore::MSFeedColumns::phasedFeedId | ( |  | ) |

inline

Definition at line 149 of file MSFeedColumns.h.

References phasedFeedId_p.

## phasedFeedId() [2/2]

const ScalarColumn< Int > & casacore::MSFeedColumns::phasedFeedId | ( |  | ) | const

inline

Definition at line 156 of file MSFeedColumns.h.

References phasedFeedId_p.

## polarizationType() [1/2]

ArrayColumn< String > & casacore::MSFeedColumns::polarizationType | ( |  | ) |

inline

Definition at line 104 of file MSFeedColumns.h.

References polarizationType_p.

## polarizationType() [2/2]

const ArrayColumn< String > & casacore::MSFeedColumns::polarizationType | ( |  | ) | const

inline

Definition at line 131 of file MSFeedColumns.h.

References polarizationType_p.

## polResponse() [1/2]

ArrayColumn< Complex > & casacore::MSFeedColumns::polResponse | ( |  | ) |

inline

Definition at line 103 of file MSFeedColumns.h.

References polResponse_p.

## polResponse() [2/2]

const ArrayColumn< Complex > & casacore::MSFeedColumns::polResponse | ( |  | ) | const

inline

Definition at line 130 of file MSFeedColumns.h.

References polResponse_p.

## position() [1/2]

ArrayColumn< Double > & casacore::MSFeedColumns::position | ( |  | ) |

inline

Definition at line 105 of file MSFeedColumns.h.

References position_p.

## position() [2/2]

const ArrayColumn< Double > & casacore::MSFeedColumns::position | ( |  | ) | const

inline

Definition at line 132 of file MSFeedColumns.h.

References position_p.

## positionMeas() [1/2]

ScalarMeasColumn< MPosition > & casacore::MSFeedColumns::positionMeas | ( |  | ) |

inline

Definition at line 107 of file MSFeedColumns.h.

References positionMeas_p.

## positionMeas() [2/2]

const ScalarMeasColumn< MPosition > & casacore::MSFeedColumns::positionMeas | ( |  | ) | const

inline

Definition at line 134 of file MSFeedColumns.h.

References positionMeas_p.

## positionQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSFeedColumns::positionQuant | ( |  | ) |

inline

Definition at line 106 of file MSFeedColumns.h.

References positionQuant_p.

## positionQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSFeedColumns::positionQuant | ( |  | ) | const

inline

Definition at line 133 of file MSFeedColumns.h.

References positionQuant_p.

## receptorAngle() [1/2]

ArrayColumn< Double > & casacore::MSFeedColumns::receptorAngle | ( |  | ) |

inline

Definition at line 109 of file MSFeedColumns.h.

References receptorAngle_p.

## receptorAngle() [2/2]

const ArrayColumn< Double > & casacore::MSFeedColumns::receptorAngle | ( |  | ) | const

inline

Definition at line 136 of file MSFeedColumns.h.

References receptorAngle_p.

## receptorAngleQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSFeedColumns::receptorAngleQuant | ( |  | ) |

inline

Definition at line 110 of file MSFeedColumns.h.

References receptorAngleQuant_p.

## receptorAngleQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSFeedColumns::receptorAngleQuant | ( |  | ) | const

inline

Definition at line 137 of file MSFeedColumns.h.

References receptorAngleQuant_p.

## setDirectionRef()

void casacore::MSFeedColumns::setDirectionRef | ( | MDirection::Types | ref | ) |

set the direction type for the BEAM_OFFSET column.

This can only be done when the table has no rows. Trying to do so at other times will throw an exception.

References casacore::ref().

## setEpochRef()

void casacore::MSFeedColumns::setEpochRef | ( | MEpoch::Types | ref,
|  | Bool | tableMustBeEmpty = True )

set the epoch type for the TIME column.

Tip: In principle this function can only be used if the table is empty, otherwise already written values may thereafter have an incorrect reference, offset, or unit; However, it is possible that part of the table gets written before these values are known; In that case the reference, offset, or units can be set by using a False tableMustBeEmpty argument;

References casacore::ref(), and casacore::True.

## setPositionRef()

void casacore::MSFeedColumns::setPositionRef | ( | MPosition::Types | ref | ) |

set the position type for the POSITION column.

This can only be done when the table has no rows. Trying to do so at other times will throw an exception.

References casacore::ref().

## spectralWindowId() [1/2]

ScalarColumn< Int > & casacore::MSFeedColumns::spectralWindowId | ( |  | ) |

inline

Definition at line 112 of file MSFeedColumns.h.

References spectralWindowId_p.

## spectralWindowId() [2/2]

const ScalarColumn< Int > & casacore::MSFeedColumns::spectralWindowId | ( |  | ) | const

inline

Definition at line 139 of file MSFeedColumns.h.

References spectralWindowId_p.

## time() [1/2]

ScalarColumn< Double > & casacore::MSFeedColumns::time | ( |  | ) |

inline

Definition at line 113 of file MSFeedColumns.h.

References time_p.

## time() [2/2]

const ScalarColumn< Double > & casacore::MSFeedColumns::time | ( |  | ) | const

inline

Definition at line 140 of file MSFeedColumns.h.

References time_p.

## timeMeas() [1/2]

ScalarMeasColumn< MEpoch > & casacore::MSFeedColumns::timeMeas | ( |  | ) |

inline

Definition at line 115 of file MSFeedColumns.h.

References timeMeas_p.

## timeMeas() [2/2]

const ScalarMeasColumn< MEpoch > & casacore::MSFeedColumns::timeMeas | ( |  | ) | const

inline

Definition at line 142 of file MSFeedColumns.h.

References timeMeas_p.

## timeQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSFeedColumns::timeQuant | ( |  | ) |

inline

Definition at line 114 of file MSFeedColumns.h.

References timeQuant_p.

## timeQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSFeedColumns::timeQuant | ( |  | ) | const

inline

Definition at line 141 of file MSFeedColumns.h.

References timeQuant_p.

## Member Data Documentation

## antennaId_p

ScalarColumn<Int> casacore::MSFeedColumns::antennaId_p

private

Definition at line 227 of file MSFeedColumns.h.

Referenced by antennaId(), antennaId(), and nrow().

## beamId_p

ScalarColumn<Int> casacore::MSFeedColumns::beamId_p

private

Definition at line 228 of file MSFeedColumns.h.

Referenced by beamId(), and beamId().

## beamOffset_p

ArrayColumn<Double> casacore::MSFeedColumns::beamOffset_p

private

Definition at line 229 of file MSFeedColumns.h.

Referenced by beamOffset(), and beamOffset().

## beamOffsetMeas_p

ArrayMeasColumn<MDirection> casacore::MSFeedColumns::beamOffsetMeas_p

private

Definition at line 244 of file MSFeedColumns.h.

Referenced by beamOffsetMeas(), and beamOffsetMeas().

## beamOffsetQuant_p

ArrayQuantColumn<Double> casacore::MSFeedColumns::beamOffsetQuant_p

private

Definition at line 249 of file MSFeedColumns.h.

Referenced by beamOffsetQuant(), and beamOffsetQuant().

## feedId_p

ScalarColumn<Int> casacore::MSFeedColumns::feedId_p

private

Definition at line 230 of file MSFeedColumns.h.

Referenced by feedId(), and feedId().

## focusLength_p

ScalarColumn<Double> casacore::MSFeedColumns::focusLength_p

private

Definition at line 240 of file MSFeedColumns.h.

Referenced by focusLength(), and focusLength().

## focusLengthQuant_p

ScalarQuantColumn<Double> casacore::MSFeedColumns::focusLengthQuant_p

private

Definition at line 255 of file MSFeedColumns.h.

Referenced by focusLengthQuant(), and focusLengthQuant().

## interval_p

ScalarColumn<Double> casacore::MSFeedColumns::interval_p

private

Definition at line 231 of file MSFeedColumns.h.

Referenced by interval(), and interval().

## intervalQuant_p

ScalarQuantColumn<Double> casacore::MSFeedColumns::intervalQuant_p

private

Definition at line 250 of file MSFeedColumns.h.

Referenced by intervalQuant(), and intervalQuant().

## numReceptors_p

ScalarColumn<Int> casacore::MSFeedColumns::numReceptors_p

private

Definition at line 232 of file MSFeedColumns.h.

Referenced by numReceptors(), and numReceptors().

## phasedFeedId_p

ScalarColumn<Int> casacore::MSFeedColumns::phasedFeedId_p

private

Definition at line 241 of file MSFeedColumns.h.

Referenced by phasedFeedId(), and phasedFeedId().

## polarizationType_p

ArrayColumn<String> casacore::MSFeedColumns::polarizationType_p

private

Definition at line 234 of file MSFeedColumns.h.

Referenced by polarizationType(), and polarizationType().

## polResponse_p

ArrayColumn<Complex> casacore::MSFeedColumns::polResponse_p

private

Definition at line 233 of file MSFeedColumns.h.

Referenced by polResponse(), and polResponse().

## position_p

ArrayColumn<Double> casacore::MSFeedColumns::position_p

private

Definition at line 235 of file MSFeedColumns.h.

Referenced by position(), and position().

## positionMeas_p

ScalarMeasColumn<MPosition> casacore::MSFeedColumns::positionMeas_p

private

Definition at line 245 of file MSFeedColumns.h.

Referenced by positionMeas(), and positionMeas().

## positionQuant_p

ArrayQuantColumn<Double> casacore::MSFeedColumns::positionQuant_p

private

Definition at line 251 of file MSFeedColumns.h.

Referenced by positionQuant(), and positionQuant().

## receptorAngle_p

ArrayColumn<Double> casacore::MSFeedColumns::receptorAngle_p

private

Definition at line 236 of file MSFeedColumns.h.

Referenced by receptorAngle(), and receptorAngle().

## receptorAngleQuant_p

ArrayQuantColumn<Double> casacore::MSFeedColumns::receptorAngleQuant_p

private

Definition at line 252 of file MSFeedColumns.h.

Referenced by receptorAngleQuant(), and receptorAngleQuant().

## spectralWindowId_p

ScalarColumn<Int> casacore::MSFeedColumns::spectralWindowId_p

private

Definition at line 237 of file MSFeedColumns.h.

Referenced by spectralWindowId(), and spectralWindowId().

## time_p

ScalarColumn<Double> casacore::MSFeedColumns::time_p

private

Definition at line 238 of file MSFeedColumns.h.

Referenced by time(), and time().

## timeMeas_p

ScalarMeasColumn<MEpoch> casacore::MSFeedColumns::timeMeas_p

private

Definition at line 246 of file MSFeedColumns.h.

Referenced by timeMeas(), and timeMeas().

## timeQuant_p

ScalarQuantColumn<Double> casacore::MSFeedColumns::timeQuant_p

private

Definition at line 253 of file MSFeedColumns.h.

Referenced by timeQuant(), and timeQuant().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSFeedColumns.h